curl --request POST \
--url https://api.getcargo.io/v1/orchestration/logs/list \
--header 'Authorization: Bearer <token>'{
"logs": [
{
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"batchUuid": "<string>",
"recordId": "<string>",
"recordTitle": "<string>",
"runUuid": "<string>",
"runContextS3Filename": "<string>",
"runComputedConfigsS3Filename": "<string>",
"parentRunUuid": "<string>",
"parentNodeUuid": "<string>",
"parentBatchUuid": "<string>",
"parentAgentUuid": "<string>",
"parentChatUuid": "<string>",
"parentMessageUuid": "<string>",
"isGroupParent": true,
"nodeUuid": "<string>",
"nodeKind": "native",
"nodeSlug": "<string>",
"nodeActionSlug": "<string>",
"nodeConnectorUuid": "<string>",
"nodeIntegrationSlug": "<string>",
"nodeToolUuid": "<string>",
"nodeAgentUuid": "<string>",
"nodeReleaseUuid": "<string>",
"nodeBatchUuid": "<string>",
"nodeRunUuid": "<string>",
"nodeMessageUuid": "<string>",
"nodeChildIndex": 123,
"nodeNextUuid": "<string>",
"executionIndex": 123,
"executionStatus": "pending",
"executionErrorMessage": "<string>",
"executionTitle": "<string>",
"executionIconUrl": "<string>",
"executionCreditsUsedCount": 123,
"executionStartedAt": "<string>",
"executionUpdatedAt": "<string>",
"executionFinishedAt": "<string>"
}
],
"count": 123
}List flattened execution logs for orchestration runs
curl --request POST \
--url https://api.getcargo.io/v1/orchestration/logs/list \
--header 'Authorization: Bearer <token>'{
"logs": [
{
"workspaceUuid": "<string>",
"workflowUuid": "<string>",
"userUuid": "<string>",
"batchUuid": "<string>",
"recordId": "<string>",
"recordTitle": "<string>",
"runUuid": "<string>",
"runContextS3Filename": "<string>",
"runComputedConfigsS3Filename": "<string>",
"parentRunUuid": "<string>",
"parentNodeUuid": "<string>",
"parentBatchUuid": "<string>",
"parentAgentUuid": "<string>",
"parentChatUuid": "<string>",
"parentMessageUuid": "<string>",
"isGroupParent": true,
"nodeUuid": "<string>",
"nodeKind": "native",
"nodeSlug": "<string>",
"nodeActionSlug": "<string>",
"nodeConnectorUuid": "<string>",
"nodeIntegrationSlug": "<string>",
"nodeToolUuid": "<string>",
"nodeAgentUuid": "<string>",
"nodeReleaseUuid": "<string>",
"nodeBatchUuid": "<string>",
"nodeRunUuid": "<string>",
"nodeMessageUuid": "<string>",
"nodeChildIndex": 123,
"nodeNextUuid": "<string>",
"executionIndex": 123,
"executionStatus": "pending",
"executionErrorMessage": "<string>",
"executionTitle": "<string>",
"executionIconUrl": "<string>",
"executionCreditsUsedCount": 123,
"executionStartedAt": "<string>",
"executionUpdatedAt": "<string>",
"executionFinishedAt": "<string>"
}
],
"count": 123
}Was this page helpful?